# 获取检测项列表

## 背景介绍

检测流程中，在检测项目列表中，选择某个检测项目，就进入到具体的检测流程。此检测流程会首先罗列所有需要操作的检测模块。点击某个检测模块，比如“机舱初检”，就会打开对应的检测项列表，如下图所示：

![](/files/-MgJCkdrcjB8qqUNWV5A)

## 请求地址

| 环境     | HTTPS请求地址                                              |
| ------ | ------------------------------------------------------ |
| 国内沙盒环境 | <https://cnopenapi.autox3.com/openapi/api-v1/rest>     |
| 国内生产环境 | <https://cnopengateway.autox3.com/openapi/api-v1/rest> |
| 其他国家环境 | 略                                                      |

## 请求参数

| 名称      | 子项                | 是否必填 | 长度 | 类型     | 说明            | 示例值                              |
| ------- | ----------------- | ---- | -- | ------ | ------------- | -------------------------------- |
| method  |                   | 是    | 64 | String | 方法名           | autox3.base.checkpoint.item.list |
| content |                   | 是    | -- | String | 请求接口内容字符串JSON |                                  |
|         | inspectionOrderId | 是    | 64 | String | 开放平台检测单Id     | 35890                            |
|         | moduleId          | 是    | 64 | String | 开放平台检测模块Id    | 425                              |

请求命令(以curl命令为例)示例如下：

{% tabs %}
{% tab title="curl" %}

```
curl 'https://jiqunwww.autox3.com/openapi/api-v1/rest' \
-H "accept: */*"  \
-H "Authorization: eyJhbGciOiJIUzUxMiJ9.eyJpc09wZW5BcGkiOnRydWUsInN1YiI6IkFLNTg3OEE3QUI4NEZCNDM0MCIsImV4cCI6MTYyODk1ODQ3MCwiY3JlYXRlZCI6MTYyODA5NDQ3MDczMSwiYnJhbmRJZCI6MTY3fQ.zL8TYzVRpP3OPlnUDdyDeKhEUyrUYhiKUmKW7jb7AB8n2XEq6sFpnE8Q03FZdVeWW_LD9VeE4HBEXKpxup9pkA" \
-H 'Content-Type: application/json;charset=UTF-8' \
-H 'Mechanic-Mobile: 170267' \
--data-raw '{"method": "autox3.base.checkpoint.item.list",
"content":"{\"inspectionOrderId\":\"7870\",\"moduleId\":\"6273\"}"}' \
--compressed          
```

{% endtab %}
{% endtabs %}

## 应答参数

| 名称        | 子项 | 是否必填 | 长度 | 类型      | 说明                            | 示例值           |
| --------- | -- | ---- | -- | ------- | ----------------------------- | ------------- |
| status    |    | 是    | -- | Integer | 请参考本页"公共参数-->错误编码"部分          | 0             |
| errorInfo |    | 是    | -- | String  | 错误信息                          | network error |
| data      |    | 是    | -- | Object  | 检测项列表信息封装，其信息封装请参考“检测项列表信息封装” |               |

检测项列表信息封装，请参考如下：

| 名称            | 是否必填 | 长度 | 类型     | 说明                           | 示例值 |
| ------------- | ---- | -- | ------ | ---------------------------- | --- |
| comment       | 是    | -- | String | 技师评论                         |     |
| submoduleList | 是    | -- | Object | 检测项列表信息封装，子项信息封装请参考“检测项信息封装” |     |

检测项信息封装，请参考如下：

| 名称                   | 是否必填 | 长度 | 类型     | 说明                           | 示例值                              |
| -------------------- | ---- | -- | ------ | ---------------------------- | -------------------------------- |
| submoduleId          | 是    | -- | String | 检测项id                        | 4671                             |
| resourceUrlList      | 是    | -- | String | 检测项下图片List                   | null                             |
| submoduleName        | 是    | -- | String | 检测项名称                        | 刹车油                              |
| referenceResourceUrl | 是    | -- | String | 检测项正常图片示例                    | <https://i18n.autox3.com/1.jpeg> |
| checkpointList       | 是    | -- | Object | 检测点列表信息封装，子项信息封装请参考“检测点信息封装” |                                  |

检测点信息封装，请参考如下：

| 名称              | 是否必填 | 长度 | 类型     | 说明                                                                                | 示例值    |
| --------------- | ---- | -- | ------ | --------------------------------------------------------------------------------- | ------ |
| condition       | 是    | -- | String | 检测点的答案                                                                            | null   |
| checkpointName  | 是    | -- | String | 检测点描述                                                                             | 刹车油剩余  |
| checkpointId    | 是    | -- | String | 检测点id                                                                             | 7337   |
| conditionStatus | 是    | -- | String | <p>检测点状态，</p><p>PASS:正常，</p><p>MINOR:轻微异常，</p><p>MAJOR:异常，</p><p>DANGEROUS:紧急</p> | PASS   |
| checkpointType  | 是    | -- | String | <p>检测点类型，</p><p>CHOICE:选择题，</p><p>NUMBER:数值题，</p><p>PERCENT\_SLIDER:百分数题</p>      | CHOICE |
| conditionList   | 是    | -- | Object | <p>检测点选项列表信息封装，</p><p>子项信息封装请</p><p>参考"检测点选项信息封装"</p>                             |        |

检测点选项信息封装，请参考如下：

| 名称                 | 是否必填 | 长度 | 类型     | 说明                                                                                 | 示例值       |
| ------------------ | ---- | -- | ------ | ---------------------------------------------------------------------------------- | --------- |
| conditionId        | 是    | -- | String | 选项id                                                                               | 18674     |
| conditionName      | 是    | -- | String | 选项描述                                                                               | 20%       |
| conditionStatus    | 是    | -- | String | <p>选项状态枚举，</p><p>PASS:正常，</p><p>MINOR:轻微异常，</p><p>MAJOR:异常，</p><p>DANGEROUS:紧急</p> | DANGEROUS |
| recommendationList | 是    | -  | Object | <p>推荐服务项目列表信息</p><p>子项信息封装请</p><p>参考"推荐服务项目列表信息封装"</p>                             |           |
|                    |      |    |        |                                                                                    |           |

推荐服务项目列表信息封装，请参考如下：

| 名称                | 是否必填 | 长度 | 类型     | 说明       | 示例值              |
| ----------------- | ---- | -- | ------ | -------- | ---------------- |
| externalServiceId | 是    | -- | String | 第三方服务id  | -1               |
| jobName           | 是    | -- | String | 推荐服务名称   | 更换前右轮胎           |
| jobSn             | 是    | -- | String | 推荐服务code | 1146030901010101 |

**应答示例如下：**

```
{
    "data": {
        "comment": "",
        "submoduleList": [
            {
                "submoduleId": 4671,
                "resourceUrlList": null,
                "submoduleName": "刹车油",
                "referenceResourceUrl": "https://i18n.autox3.com/1.jpeg",
                "checkpointList": [
                    {
                        "condition": "A",
                        "checkpointName": "刹车油剩余",
                        "checkpointId": 7337,
                        "conditionStatus": "MINOR",
                        "checkpointType": "CHOICE",
                        "conditionList": [
                            {
                                "conditionId": 18674,
                                "conditionName": "20%",
                                "conditionStatus": "DANGEROUS",
                                "recommendationList":[              
            											{
            													"externalServiceId":"-1",	
            													"jobName":"更换前右轮胎",   
            													"jobSn":"1146030901010101"  
            											}
            										]
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "errorInfo": null,
    "status": 0
} 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.autox3.com/app-apis/get-inspection-item-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
